<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Teachers extends Controller_UserEnvi {

    public function action_index()
    {
        // LOGIC
        $model = new Model_Admin_Teachers;
        $faculties = $model->getFaculties();
        $facultiesHandled = array(); $i = 0;
        foreach($faculties as $row)
        {
            $i++;
            $facultiesHandled[$i]['ID'] = $row['FacultyID'];
            $facultiesHandled[$i]['Name'] = $row['FacultyName'];
            $facultiesHandled[$i]['Abbr'] = $row['FacultyAbbr'];
        }
        // VIEW
        $twig = Twig::factory('admin/teachers/index');
        $twig->Faculties = $facultiesHandled;
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
    
    public function action_add()
    {
        // LOGIC
        $model = new Model_Admin_Teachers;
        $faculties = $model->getFaculties();
        $facultiesHandled = array(); $i = 0;
        foreach($faculties as $row)
        {
            $i++;
            $facultiesHandled[$i]['ID'] = $row['FacultyID'];
            $facultiesHandled[$i]['Name'] = $row['FacultyName'];
            $facultiesHandled[$i]['Abbr'] = $row['FacultyAbbr'];
        }
        
        $jobPositions = $model->getJobPositions();
        $jobPositionsHandled = array(); $i = 0;
        foreach($jobPositions as $row)
        {
            $i++;
            $jobPositionsHandled[$i]['ID'] = $row['ID'];
            $jobPositionsHandled[$i]['Name'] = $row['Name'];
            // $jobPositionsHandled[$i]['Abbr'] = $row['Abbr'];
        }        
        // VIEW
        $twig = Twig::factory('admin/teachers/add');
        $twig->Faculties = $jobPositionsHandled;
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
    
    public function action_upload()
    {
        // LOGIC        
        
        // VIEW
        $twig = Twig::factory('admin/teachers/upload');
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }    
}
            